var scatMemoryMgr  = [];

/** teste
 * Resize content panel based on screen size
 **/

function resizeContentPanel() {
	var el = Ext.get('topHeader');
	if (el) {
		var size = el.dom.offsetWidth;
		var curTab = Ext.get('currentTab');
		if (curTab.dom.innerHTML === '')
			return false;

		if (curTab.dom.innerHTML === 'tabImpact'){
			return resizeTabImpactContent(size);
		}


		var div = Ext.get(curTab.dom.innerHTML + 'Content');
		if (Ext.isIE) {
			div.setWidth(size);
			div.dom.style.width = size;
		} else {
			div.setWidth(size-44);
			div.dom.style.width = size-44;
		}

		// Firefox 2 compatibility
		if (Ext.isGecko2) {
			div.dom.style.zIndex = 0;
			var panel = Ext.get('tabPanelMenu');
			panel.dom.style.zIndex = 1;
			panel.dom.style.position = 'relative';
		}

	}
}

function resizeTabImpactContent(width){
	 Ext.get('tabImpactContent').setWidth(width);
	 Ext.query('.inpactPanel').forEach(function(element){
		 Ext.getCmp(element.id).setWidth(width - 40);
	 });
}

/**
 * Apply the css to the selected tab
 * and change the panel content
 **/

function selectTab(tab) {


	var tabs = new Array();
	tabs = Ext.select('.ext-tab-selected');

	// Reset CSS
	for( i=0; i<tabs.getCount(); i++ ) {
		var el = tabs.item(i);
		el.replaceCls('ext-tab-selected', 'ext-tab-normal');
	}

	// Add new CSS
	Ext.get(tab.id).replaceCls('ext-tab-normal', 'ext-tab-selected');

	// Update tab content
	var curTab = Ext.get('currentTab');
	if (curTab.dom.innerHTML != '') {
		Ext.get(curTab.dom.innerHTML + 'Content').dom.style.display = 'none';
	}
	curTab.dom.innerHTML = tab.id;

	//var div = Ext.get('tabContent');
	var tab = Ext.get(tab.id + 'Content');
	if (tab) {
		tab.dom.style.display = 'block';
		resizeContentPanel();
		//div.dom.innerHTML = tab.dom.innerHTML;
	} else {
		//div.dom.innerHTML = "";
	}

}

function callCommandWindow( id, obj, tpl, option, isJson ) {
	// Clean old windows
	var oWin = Ext.getCmp('extCmdWin');

	if (oWin) {
		oWin.close();
		Ext.get('cmdWin').dom.innerHTML = "";
	}

	var json = (isJson) ? Ext.JSON.decode(id) : new Array();

	// Process parameters
	var id = String(id);
	var postBody = {};

	if (json.length) {
		postBody.elements = id;
	} else if (!id.match("_")) {
		postBody.host_id = id;
	} else if (id.match("hg_")) {
		var reg = /^hg_(.*)$/;
		var match = reg.exec(id);
		postBody.hostgroup_name = match[1];
	} else if (id.match("sg_")) {
		var reg = /^sg_(.*)$/;
		var match = reg.exec(id);
		postBody.servicegroup_name = match[1];
	} else {
		var reg = /(\d*)_(\d*)/;
		var match = reg.exec(id);
		postBody.host_id = match[1];
		postBody.service_id = match[2];
	}

	postBody.cmd = obj.id;
	postBody.option = option || 0;
	postBody.tpl = tpl || 0;

	Ext.Ajax.useDefaultXhrHeader = true;
	var win = Ext.create('Ext.window.Window', {
		width:			420,
		layout:			'fit',
		id:				'extCmdWin',
		closable:		false,
		closeAction:	'destroy',
		manageHeight:	true,
		y:				100,
		buttonAlign:	'center',
		plain:			false,
		modal:			true,
		draggable:		false,
		shadow:			false,
		bodyCssClass:	'ext-window',
		bodyBorder:		false,
		hideBorders:	true,
		resizable:		false,
		loader: {
			url: '/opmon/seagull/www/index.php/extinfo/action/load_cmd_form/?',
			autoLoad: true,
			params: postBody,
			ajaxOptions: {
				disableCaching: false,
				method: 'POST'
			},
			callback: function(me, success, response) {
				renderDatetimePicker();
			},
			success: function(){
				win.center();
			}
		}
	});

	win.show();
	return;
}

/**
 * Validate date
 */

function validateCmdDateForm(compulsoryFields) {

	var d1, t1, d2, t2, dateTime1, dateTime2, cmp;
	var ids = compulsoryFields.dom.textContent.split(",");

	for (i=0; i<ids.length; i++) {
		cmp = Ext.getCmp(ids[i]);
		if (cmp && cmp.xtype === 'datefield' || cmp.xtype === 'timefield') {
			if (cmp.activeError || cmp.value === '')
				return false;

			if (cmp.xtype === 'datefield' && cmp.id === 'date_start_time')
				d1 = cmp;

			if (cmp.xtype === 'datefield' && cmp.id === 'date_end_time')
				d2 = cmp;

			if (cmp.xtype === 'timefield' && cmp.id === 'time_start_time')
				t1 = cmp;

			if (cmp.xtype === 'timefield' && cmp.id === 'time_end_time')
				t2 = cmp;
		} else {
			return false;
		}
	}

	if (!d1 || !d2 || !t1 || !t2)
		return true;

	if (ids.length > 2) {
		dateTime1 = Ext.Date.parse(d1.getSubmitValue() + " " + t1.getSubmitValue(), "Y-m-d H:i:s");
		dateTime2 = Ext.Date.parse(d2.getSubmitValue() + " " + t2.getSubmitValue(), "Y-m-d H:i:s");
		if (dateTime1 >= dateTime2) {
			Ext.MessageBox.show({
				width:		350,
				closable:	false,
				msg:		langArray['The start date must be less than the end date.'],
				buttons:	Ext.MessageBox.OK,
				icon:		Ext.MessageBox.INFO,
				cls:		'ext-window',
				fn:			updateDateErrorFocus
			});
			return false;
		}
	}

	return true;
}

function updateDateErrorFocus() {
	Ext.getCmp('date_start_time').focus();
	Ext.getCmp('date_start_time').setActiveError('');
}

/**
 * Submit command to OpMon
 */

function validateCmdForm() {
	var compulsoryFields = Ext.get('date_compulsory_fields');

	if ((compulsoryFields) && (!validateCmdDateForm(compulsoryFields))) return;

	compulsoryFields = Ext.get('compulsory_fields');

	if (compulsoryFields) {
		var fields, cmp, element;

		if (compulsoryFields.dom.tagName === 'INPUT') {
			fields = compulsoryFields.dom.value.split(",");
		} else if (compulsoryFields.dom.tagName === 'TEXTAREA') { // ExtJS component
			fields = compulsoryFields.dom.textContent.split(",");
		} else {
			return;
		}

		for(var i=0; i<fields.length; i++) {
			cmp = Ext.getCmp(fields[i]);

			if (cmp) {
				if (((cmp.xtype === 'datefield') || (cmp.xtype === 'timefield')) && (cmp.activeError)) {
					cmp.addCls('invalid-field');
					cmp.focus();
					return;
				} else if (cmp.value == '') {
					cmp.addCls('invalid-field');
					cmp.focus();
					return;
				}
			} else {
				element = Ext.get(fields[i]);
				if (((element.dom.tagName === 'INPUT') || (element.dom.tagName === 'TEXTAREA'))
					&& (element.dom.value === '')) {
					Ext.get(fields[i]).focus();
					return;
				}
			}
		}
	}

	Ext.get('cmdForm').dom.submit();
}

/**
 * Cancel command window
 */

function cancelCommand() {
	var win = Ext.getCmp('extCmdWin');
	if (win)
		win.close();
	Ext.get('cmdWin').dom.innerHTML = "";
}

/**
 * Send submitted command
 * to be processed by OpMon
 */

function sendCommand() {
	// Get form elements
	var form = Ext.get('cmdForm').dom;
	Ext.getCmp('extCmdWin').close();

	var postElements = {};
	for( var i = 0; i<form.elements.length; i++ ) {
		var el = form.elements[i];
		if (el.type == 'checkbox' && !el.checked)
			continue;
		if (el.name) {
			if (el.name.match(/.*-.*/)) el.name=el.name.replace(/-.*/,"");
			postElements[el.name] = el.value;
		}
	}

	if ((postElements.cmd === 'serviceRescheduleNextCheck') || (postElements.cmd === 'hostRescheduleNextCheck')) {
		postElements.check_time = postElements.date_check_time.replace(/([0-9]{4})-([0-9]{2})-([0-9]{2})/,"$3/$2/$1") + ' ' + postElements.time_check_time;
		delete postElements.date_check_time;
		delete postElements.time_check_time;
	} else if ((postElements.cmd === 'serviceAddScheduledDowntime') || (postElements.cmd === 'hostAddScheduledDowntime')) {
		postElements.start_time = postElements.date_start_time.replace(/([0-9]{4})-([0-9]{2})-([0-9]{2})/,"$3/$2/$1") + ' ' + postElements.time_start_time;
		postElements.end_time = postElements.date_end_time.replace(/([0-9]{4})-([0-9]{2})-([0-9]{2})/,"$3/$2/$1") + ' ' + postElements.time_end_time;
		delete postElements.date_start_time;
		delete postElements.time_start_time;
		delete postElements.date_end_time;
		delete postElements.time_end_time;
    } else if (postElements.cmd === 'serviceRemoveAcknowledgement') {
        var arr = [ postElements.host_id + '!' + postElements.service_id  ];

        postElements.arrElements = JSON.stringify(arr);

        delete postElements.host_id;
        delete postElements.service_id;
    }

	// Clean old form
	Ext.get('cmdWin').dom.innerHTML = "";

	Ext.MessageBox.show({
		msg:			langArray['Submiting command, please wait'] + ' ...',
		width:			350,
		wait:			true,
		closable:		false,
		waitConfig: 	{ interval:200 },
		cls: 			'ext-window'
	});

	// Submit request
	var URL = '/opmon/seagull/www/index.php/extinfo/action/run_extinfo_commands/';
	Ext.Ajax.request({
		url:		URL,
		method:	'post',
		params:	postElements,
		success:	function(result,request) {
			// Replace MessageBox
			Ext.MessageBox.close();
			Ext.MessageBox.show({
				width:		350,
				closable:	false,
				msg:		langArray['Command submitted successfully'],
				buttons:	Ext.MessageBox.OK,
				icon:		Ext.MessageBox.INFO,
				cls:		'ext-window',
				fn:			updateByButton
			});
		}
	});


}

/**
 * Update all extinfo tabs
 */

function updateExtInfo() {
	var el = Ext.get('currentType');
	if (el) {
		var type = el.dom.innerHTML;
		var tabs = [ 'Info', 'Config', 'History' ];
		for( i = 0; i<tabs.length; i++ ) {
			var tab = tabs[i];
			requestTabUpdate(type, tab);
		}
	}
}

/**
 * Request an update for on tab
 */

function requestTabUpdate( type, tab, icon) {
	if (tab === 'Config') {
		return false;
	}
	icon = Ext.get(icon);
	if (icon) icon.dom.src = icon.dom.src.replace("refresh", "loading");

	var ID = Ext.get('objID').dom.innerHTML;
	var URL = '/opmon/seagull/www/index.php/extinfo/action/update_' + type + '_screen/';

	Ext.Ajax.request({
		url:		URL,
		method:	'post',
		params:	{ type: type, tab: tab, objID: ID },
		success:	function(result,request) {
			var xTab = Ext.get('tab' + tab + 'Content');
			setTimeout(function(){
				if (xTab) {
					xTab.dom.innerHTML = result.responseText;
				} else {
					return true;
				}
			}, 100);
		},
		failure: function() {
			if (icon) icon.dom.src = icon.dom.src.replace("loading", "refresh");
		}
	});
}

/**
 * Update tab after Messabox click
 */

function updateByButton( btnId, text ) {

	if (btnId == "ok") {
		var el = Ext.get('currentType');
		if (el)
			updateExtInfo( el.dom.innerHTML );
	}

}

function createScatPanel() {
	Ext.QuickTips.init();

	Ext.each( Ext.query('.scatPanel'), function(el) {

		var split = el.id.split("!");
		var scatId = split[0];
		var scatName = split[1];

		var aPanel = false;
		var tree = false;

		var scatString = '<a class="ext-link" style="color: #000;" href="/opmon/seagull/www/index.php/opsubscriber/action/scatsubscriber/scat_id/' + scatId + '">' + scatName + '</a>';

		if (Ext.query('.inpactPanel').length === 0) {
			// Create Scat Panel
			var panel = new Ext.Panel({
				contentEl:		el,
				renderTo:		'tabImpactContent',
				layout:			'fit',
				title:			scatString,
				cls:			'inpactPanel',
				frame:			false,
				collapsible:	true,
				collapsed:		true,
				ui:				'light',
				titleCollapse:	false,
				header: {
					style: {
						backgroundColor: '#e9e9e9'
					}
				},
				style: {
					marginBottom:	'10px'
				}
			});
		}
		var elements;
		Ext.Ajax.request({
			url: '/opmon/seagull/www/index.php/extinfo/action/service_tree_layout/id/' + scatId,
			method:	'post',
			success: function(result, request) {
				elements = Ext.JSON.decode(result.responseText);
				var store = new Ext.create('Ext.data.TreeStore',{
					root: {
						draggable:false,
						children: elements
					}
				});

				// Create Scat Structure Tree
				Ext.each( Ext.query('.scatStructureTree',el), function(div) {
					tree = new Ext.tree.TreePanel({
						el:					div,
						useArrows:			true,
						autoScroll:			true,
						animate:			true,
						enableDD:			false,
						containerScroll:	true,
						rootVisible:		false,
						trackMouseOver:		false,
						width:				(Ext.getBody().getWidth() - 83 - 380),
						height:				170,
						border:				false,
						selModel:			false,
						store:				store
					});

					tree.getRootNode().expandChildren(true);
					tree.addBodyCls('noBorderImpactTree');
					tree.render();
					scatMemoryMgr.push(tree);
				});
			}
		});
	});
}

var renderDatetimePicker = function() {
	Date.monthNames = [
		langArray["Jan"],
		langArray["Feb"],
		langArray["Mar"],
		langArray["Apr"],
		langArray["May"],
		langArray["Jun"],
		langArray["Jul"],
		langArray["Aug"],
		langArray["Sep"],
		langArray["Oct"],
		langArray["Nov"],
		langArray["Dec"]
	];

	Date.dayNames = [
		langArray["Sunday"],
		langArray["Monday"],
		langArray["Tuesday"],
		langArray["Wednesday"],
		langArray["Thursday"],
		langArray["Friday"],
		langArray["Saturday"]
	];
	if(Ext.DatePicker){
		Ext.apply(Ext.DatePicker.prototype, {
		  todayText		: langArray["Today"],
		  monthNames	: Date.monthNames,
		  dayNames		: Date.dayNames,
		  cancelText	: langArray["Cancel"]
		});
	}

	var objs = Ext.query('.datetime-picker');
	var ids, obj, form = new Array(), dateTime = new Date();
	var hours;

	for (i=0; i<objs.length; i++) {
		obj = Ext.get(objs[i]);
		if (ids)
			ids = ids + ',date_' + obj.id + ',time_' + obj.id;
		else
			ids = 'date_' + obj.id + ',time_' + obj.id;


		if (obj.id === 'end_time') {
			dateTime.setHours(dateTime.getHours()+2);
			hours = getStringWithFormattedHours(dateTime.getHours(), dateTime.getMinutes());
			is_disabled = false;
		} else if (obj.id === 'expire_time') {
			dateTime.setHours(dateTime.getHours()+2);
			hours = getStringWithFormattedHours(dateTime.getHours(), dateTime.getMinutes());
			is_disabled = true;
		} else {
   			hours = getStringWithFormattedHours(
				dateTime.getHours(),
				dateTime.getMinutes(),
				obj.id);
			is_disabled = false;
		}

		if (obj.dom) obj.dom.innerHTML = "";

		Ext.destroy(Ext.getCmp('date_'+ obj.id));
		Ext.destroy(Ext.getCmp('time_'+ obj.id));
		form[i] = new Ext.form.FormPanel({
			renderTo:		obj.id
			,width:			220
			,layout:		'hbox'
			,closeAction:	'destroy'
			,items: [{
				xtype:			'datefield'
				,margin:		'0 2 0 2'
				,width:			110
				,allowBlank:	false
				,editable:		false
				,anchor:		'100%'
				,cls:			'no-input-border'
				,id:			'date_'+ obj.id
				,format:		'Y-m-d'
				,value:			new Date()  // defaults to today
				,disabled: 		is_disabled
			}, {
				xtype:			'timefield'
				,width:			100
				,allowBlank:	false
				,editable:		true
				,id:			'time_' + obj.id
				,cls:			'no-input-border'
				,minValue:		'00:00:00'
				,maxValue:		'23:59:59'
				,value:			hours
				,increment:		15
				,format:		'H:i:s'
				,anchor:		'100%'
				,disabled: 		is_disabled
			}]
		});
		if (obj.id === 'expire_time') {
			Ext.getCmp('date_'+ obj.id).setMinValue(new Date());
		}

	}

	if (objs.length > 0) {
		form[Number(form.length - 1)].add([{
				xtype	: 'text'
				,id		: 'date_compulsory_fields'
				,text	: ids
				,hidden	: true
				}]);
	}
}

// Create the external commands combobox

function externalCommandsCombo() {
	var external_commands_store = Ext.create('Ext.data.Store', {
		fields: ['command_id', 'command_name', 'command_desc', 'command_line', 'user_can_execute_command'],
		autoLoad: true,
		storeId: 'external_commands',
		proxy: {
			type: 'ajax',
			url: '/opmon/seagull/www/index.php/extinfo/action/getexternalcommands/',
			reader: {
				type: 'json'
			}
		}
	});

	Ext.create('Ext.panel.Panel', {
		id: 'ext-info-cell-command-panel',
		bodyPadding: 10,
		bodyStyle: { backgroundColor:'#ddd',color:'#222',fontFamily:'"Courier New", Courier, monospace' },
		style: { backgroundColor:'#fff'},
		margin: '10 0 0 0',
		height: 139,
		dockedItems: [
			{
				xtype: 'button'	,
				dock: 'bottom',
				id: 'ext-info-cell-command-btn',
				text: t("Apply command"),
				hidden: true,
				margin: '5 0 0 0',
				handler: function(el, event) {
					if (Ext.getStore('external_commands').getAt(0).get('user_can_execute_command')) {
						getReasonPopup(el, event);
					} else {
						callCommandWindow(false, {id: false});
					}
				}
			}
		],
		renderTo: Ext.get('ext-info-cell-command')
	});

	Ext.create('Ext.form.ComboBox', {
		label: false,
		id: "ext-info-cell-combo",
		emptyText: t("Select or search an external command"),
		queryMode: 'local',
		width: 290,
		displayField: 'command_name',
		valueField: 'command_id',
		store: external_commands_store,
		renderTo: Ext.get("ext-info-cell-custom"),
		tpl: Ext.create('Ext.XTemplate',
			'<tpl for=".">',
			'<div class="x-boundlist-item">{command_name} - {command_desc}</div>',
			'</tpl>'
		),
		displayTpl: Ext.create('Ext.XTemplate',
			'<tpl for=".">',
			'{command_name} - {command_desc}',
			'</tpl>'
		),
		listeners: {
			change: {
				scope: this,
				fn: function(el, newValue, oldValue, eOpts) {
					var value = el.getStore().findRecord('command_id', newValue).get('command_line');
					Ext.getCmp('ext-info-cell-command-panel').update(value);
					Ext.getCmp('ext-info-cell-command-btn').show();
				}
			}
		}

	});
}

// Set EventManager
Ext.EventManager.onDocumentReady( resizeContentPanel );
Ext.EventManager.onWindowResize( resizeContentPanel );

// eof

//external command result window
function resultWindow(cmd_exec_result) {
	cmd_exec_result = cmd_exec_result || {std_err: t("Fail to execute command"), std_out: "",	success: false};

	Ext.create('Ext.window.Window', {
		renderTo:			Ext.getBody(),
		height:				Ext.getBody().getViewSize().height*0.8,
		id:						'external_cmd_result_modal',
		closable:			false,
		width:				Ext.getBody().getViewSize().width*0.8,
		layout:				'anchor',
		title:				t("External command was executed"),
		modal:				true,
		closeAction:	'destroy',
		manageHeight:	true,
		y:						100,
		plain:				false,
		draggable:		true,
		shadow:				false,
		bodyCssClass:	'ext-window',
		bodyBorder:		false,
		autoScroll:		true,
		hideBorders:	true,
		resizable:		true,
		items: [
			{
				xtype: 			'form',
				id: 				'ext_res_form',
				autoScroll: true,
				bodyPadding:'15 20 20',
				header: 		false,
				title: 			'My Form',
				layout:			{
											type:	'vbox',
											align:'stretch'
										},
				items: 			[
					{
						xtype:			'displayfield',
						id:					'cmd_name',
						fieldLabel: t("Command executed"),
						labelAlign: 'top',
						value:			Ext.getCmp('ext-info-cell-combo').getDisplayValue(),
						fieldStyle: 'font-weight:bold;'
					},
					{
						xtype:			'displayfield',
						id:					'success_log',
						margin:			'10 0',
						fieldLabel:	t("Success log"),
						labelAlign:	'top',
						hidden:			true,
						htmlEncode:	false,
						value: 			cmd_exec_result.std_out,
						fieldStyle: 'background-color:#333; color: #fff; padding: 15px; border-left: 6px solid green;',
						listeners : {
							afterrender: {
								fn : function(this_obj) {
									setTimeout(function(){
										this_obj.show();
										if ( ! cmd_exec_result.success) {
											Ext.getCmp('external_cmd_result_modal').setTitle(langArray["External command cannot be executed"]);
											Ext.getCmp('success_log').hide();
										}
										if (cmd_exec_result.std_out === '') {
											Ext.getCmp('success_log').hide();
										}
									}, 100);
								}
							}
				    },
					},
					{
						xtype:			'displayfield',
						id:					'fail_log',
						margin:			'10 0 0 0',
						fieldLabel: t("Fail log"),
						labelAlign: 'top',
						hidden:			true,
						htmlEncode:	false,
						value:			cmd_exec_result.std_err,
						listeners : {
							afterrender: {
								fn : function(this_obj) {
									setTimeout(function(){
										this_obj.show();
										if (cmd_exec_result.std_err === '') {
											Ext.getCmp('fail_log').hide();
										}
									}, 100);
								}
							}
				    },
						fieldStyle: 'background-color:#333; color: #fff; padding: 15px; border-left: 6px solid red;'
					}
				]
			}
		],
		dockedItems: [
			{
				xtype:			'toolbar',
				dock:				'bottom',
				items: [
					{
						xtype:	'tbspacer',
						flex: 	1
					},
					{
						xtype:	'button',
						id:			'retry_btn',
						text:		t("Retry"),
						handler: function (el, event) {
							do_request(el, event);
							Ext.getCmp('external_cmd_result_modal').destroy();
						}
					},
					{
						xtype:	'container',
						items: [
							{
								xtype:	'button',
								id:			'ok_btn',
								width:	100,
								text:		t('OK'),
								handler: function() {
									Ext.getCmp('external_cmd_result_modal').destroy();
									Ext.getCmp('reason_popup').destroy();
								}
							}
						]
					}
				]
			}
		]
	}).show();
}

function getReasonPopup() {
	Ext.create('Ext.window.Window', {
		renderTo: Ext.getBody(),
		draggable: false,
		height: 250,
		width: 400,
		resizable: true,
		closeAction:	'destroy',
		manageHeight:	true,
		y:				100,
		plain:			false,
		draggable:		false,
		shadow:			false,
		bodyCssClass:	'ext-window',
		bodyBorder:		false,
		hideBorders:	true,
		title: t("Execute an external command"),
		modal: true,
		id: "reason_popup",

		layout: {
			type: 'vbox',
			align: 'stretch'
		},

		items: [
			{
				xtype: 'form',
				flex: 1,
				bodyPadding: '15 20 20',
				header: false,
				title: 'My Form',
				items: [
					{
						xtype: 'textareafield',
						validator: function(value) {
							errMsg = t("You have to write a reason");
							if (value === '') {
								Ext.getCmp('submit_externalcmd').setDisabled(true);
							} else {
								Ext.getCmp('submit_externalcmd').setDisabled(false);
							}
							return (value === '') ? errMsg : true;
						},
						anchor: '100%',
						fieldLabel: t("Write your reasons"),
						labelAlign: 'top',
						id: 'reason_area',
						rows: 7
					}
				]
			}
		],
		dockedItems: [
			{
				xtype: 'toolbar',
				dock: 'bottom',
				items: [
					{
						xtype: 'tbspacer',
						flex: 1
					},
					{
						xtype: 'button',
						text: t("Cancel"),
						handler: function (el, event) {
							Ext.getCmp('reason_popup').destroy();
						}
					},
					{
						xtype: 'container',
						items: [
							{
								xtype: 'button',
								id: 'submit_externalcmd',
								text: t("Confirm command execution"),
								handler: do_request
							}
						]
					}
				]
			}
		]

	}).show();
}

function do_request(el, event) {
	var host_id = tHostId;
	var reason = Ext.getCmp('reason_area').getValue();
	var command_id = Ext.getCmp('ext-info-cell-combo').getValue();

	var mask = new Ext.LoadMask(Ext.getBody(), {msg:t("Please wait...")});
	mask.show();
	Ext.Ajax.request({
		url: "/opmon/seagull/www/index.php/extinfo/action/runexternalcommand/",
		method: "POST",
		timeout: 65000,
		params: {
			'host_id': host_id,
			'reason': reason,
			'command_id': command_id
		},
		success: function(result, request) {
			mask.destroy();
			var response = JSON.parse(result.responseText.replace(/\\n/g, '<br>'));
			resultWindow(response);
		},

		failure: function(result, request) {
			mask.destroy();
			resultWindow();
		}

	});
	Ext.getCmp('reason_popup').hide();
}
